extension IDKitNumList<T extends num> on List {
  /// Get the average of a collection of numbers
  double get average {
    if (isEmpty) return 0.0;
    if (length == 1) return first * 1.0;
    return sum / length;
  }

  /// Get the maximum value of a collection of numbers
  T get max {
    if (isEmpty) {
      final String type = T.toString();
      if (type == 'int') return 0 as T;
      if (type == 'double') return 0.0 as T;
      if (type == 'num') return 0 as T;
    }
    if (length == 1) return first;
    sort();
    return last;
  }

  /// Get the minimum value of a collection of numbers
  T get min {
    if (isEmpty) {
      final String type = T.toString();
      if (type == 'int') return 0 as T;
      if (type == 'double') return 0.0 as T;
      if (type == 'num') return 0 as T;
    }
    if (length == 1) return first;
    sort();
    return first;
  }

  /// The sum of all elements of the set of numbers
  T get sum {
    if (isEmpty) {
      final String type = T.toString();
      if (type == 'int') return 0 as T;
      if (type == 'double') return 0.0 as T;
      if (type == 'num') return 0 as T;
    }
    if (length == 1) return first;
    num sum = 0;
    for (final T element in this) {
      sum += element;
    }
    return sum as T;
  }
}
