extension RangeNum<T extends num> on num {
  /// Keep a value within a set range.
  T range({
    double min = double.negativeInfinity,
    double max = double.infinity,
  }) {
    if (this < min) {
      final String type = T.toString();
      if (type == 'int') return min.toInt() as T;
      if (type == 'double') return min.toDouble() as T;
      if (type == 'num') return num.parse('$min') as T;
    }
    if (this > max) {
      final String type = T.toString();
      if (type == 'int') return max.toInt() as T;
      if (type == 'double') return max.toDouble() as T;
      if (type == 'num') return num.parse('$max') as T;
    }
    return this as T;
  }
}
