import 'package:flutter/material.dart';

typedef ItemBuilder<T extends Object> = Widget Function(
  BuildContext context,
  bool state,
  T data,
);

/// Records the widget's state class.
class ChoiceState<T extends Object> {
  ChoiceState({
    this.state = false,
    required this.data,
  });

  /// The state of the widget.
  bool state;

  /// Data carried by the class.
  final T data;
}

/// Choice Type
enum ChoiceType {
  single,
  multiple,
}
