import 'package:flutter/material.dart' hide Image;
import 'dart:ui';

class IDKitUIImage extends StatelessWidget {
  const IDKitUIImage({
    super.key,
    required this.image,
    this.width,
    this.height,
  });

  /// ui.Image picture object
  final Image image;

  /// Set image display width, Defaults to image original width.
  final double? width;

  /// Set image display height, Defaults to image original height.
  final double? height;

  @override
  Widget build(BuildContext context) {
    final double imgWidth = width ?? image.width * 1.0;
    final double imgHeight = height ?? image.height * 1.0;
    return CustomPaint(
      painter: ImagePainter(image),
      size: Size(imgWidth, imgHeight),
    );
  }
}

/// image loading
class ImagePainter extends CustomPainter {
  const ImagePainter(this.image);
  final Image image;

  @override
  void paint(Canvas canvas, Size size) {
    canvas.drawImageRect(
      image,
      Offset.zero & Size(image.width * 1.0, image.height * 1.0),
      Offset.zero & size,
      Paint(),
    );
  }

  @override
  bool shouldRepaint(covariant CustomPainter oldDelegate) => false;
}
