<p id='jump'></p>

## 号码脱敏

#### 简介
该功能主要是为常见号码进行脱敏处理，包含的功能有:
- phoneDesensitized 手机号脱敏
- bankDesensitized  银行卡号脱敏
- bankMidDesensitized 银行卡号中间脱敏
- idDesensitized 身份证号脱敏

#### 示例展示
```dart
/// Desensitized
void desensitizedMethod() {
  /// Phone number desensitization
  final phone = '18801210283'.phoneDesensitized;
  // Handling extra spaces
  final phone1 = ' 18801210835 '.phoneDesensitized;
  final phone2 = '188 0121 0283'.phoneDesensitized;
  debugPrint('\n// Phone number desensitization');
  debugPrint(phone); // 188****0283
  debugPrint(phone1); // 188****0835
  debugPrint(phone2); // 188****0283

  /// Bank card number desensitization
  final String bank16 = '6333234433554466'.bankDesensitized;
  final String bank17 = '63332344335544661'.bankDesensitized;
  final String bank19 = '6333234433554466234'.bankDesensitized;
  debugPrint('\n// Bank card number desensitization');
  debugPrint(bank16); // ****4466
  debugPrint(bank17); // ****4661
  debugPrint(bank19); // ****6234
  // Mid
  final String bankMid16 = '6333234433554466'.bankMidDesensitized;
  final String bankMid17 = '63332344335544661'.bankMidDesensitized;
  final String bankMid19 = '6333234433554466234'.bankMidDesensitized;
  debugPrint('\n// Bank card number middle desensitization');
  debugPrint(bankMid16); // 6333****4466
  debugPrint(bankMid17); // 6333****4661
  debugPrint(bankMid19); // 6333****6234

  /// ID card number desensitization
  final String id = '411122128995160537'.idDesensitized;
  debugPrint('\n// ID card number desensitization');
  debugPrint(id); // 411122********0537
}
```

#### 示例展示结果
![desensitization](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/desensitization.png?raw=true)

#### 便捷方式
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;目录](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;顶部](#jump)**