<p id='jump'></p>

## 组件外边距扩展
#### 简介
该功能主要是 **Flutter** 组件外边距便捷处理。包含功能如下:    
- 组件全部边添加外边距处理
- 组件水平或者垂直方向添加外边距处理
- 组件某边添加外边距处理

注意: **Sliver...** 类型组件也支持外边距处理。
#### 示例展示
```dart
Container(
  color: Colors.red,
  child: Column(
    children: <Widget>[
      Container(
        color: Colors.purple,
        height: 100,
      ).insets(edgeInsets: const EdgeInsets.all(10)),
      Container(
        height: 100,
        color: Colors.blue,
      ).insetsOnly(right: 120),
      Container(
        height: 100,
        color: Colors.blue,
      ).insetsSymmetric(horizontal: 20),
      CustomScrollView(
        shrinkWrap: true,  
        slivers: [
          SliverToBoxAdapter(
            child: Container(
              height: 50,
              color: Colors.yellow,
            ),
          ).silverInsets(edgeInsets: const EdgeInsets.all(10)),
          SliverToBoxAdapter(
            child: Container(
              height: 50,
              color: Colors.purple,
            ),
          ).silverInsetsSymmetric(horizontal: 20),
          SliverToBoxAdapter(
            child: Container(
              height: 50,
              color: Colors.cyan,
            ),
          ).silverInsetsOnly(left: 20, top: 20),
        ],
      )
    ],
  ),
)
```
#### 示例展示结果
![add_padding](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/padding_add.png?raw=true)
#### 快捷方式
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;目录](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;顶部](#jump)**