<p id='jump'></p>

## 千分位
#### 简介
该功能主要是金钱数值进行千分位的添加以便于识别。包含功能如下:  
- 支持金钱数值默认千分位添加  
- 支持千分位符号自定义
- 支持千分位处理时也可以对数值小数位处理
- 支持在对数值小数位处理时是否进位
#### 示例展示
```dart
void thousandsHandle() {
  // int
  debugPrint('// Int ');
  debugPrint((-0).formatThousands());
  debugPrint((-123).formatThousands());
  debugPrint((-1234).formatThousands());
  debugPrint(123456.formatThousands());
  debugPrint(1234567.formatThousands());
  debugPrint(123456789.formatThousands());
  debugPrint(1234567890.formatThousands());
  // double
  debugPrint('\n// Double ');
  debugPrint(0.0.formatThousands());
  debugPrint(123.12.formatThousands());
  debugPrint(1234.123.formatThousands());
  debugPrint(123456.1234.formatThousands());
  debugPrint(1234567.12345.formatThousands());
  debugPrint(123456789.123456.formatThousands());
  debugPrint(1234567890.1234567.formatThousands());
  // String
  debugPrint('\n// String ');
  debugPrint('0.0'.formatThousands());
  debugPrint('123.12'.formatThousands());
  debugPrint('1234.123'.formatThousands());
  debugPrint('-  123456.1234'.formatThousands());
  debugPrint('+ 1234567.12345 '.formatThousands());
  debugPrint('-1234567 89.123456'.formatThousands());
  debugPrint('+ 1234 567890.123 4567 '.formatThousands());
  // Custom thousandth symbol
  debugPrint('\n// Custom thousandth symbol ');
  debugPrint(1234567.formatThousands(symbol: '_'));
  debugPrint(1234567890.2.formatThousands(symbol: '、'));
  // Retain a certain number of decimal places
  debugPrint('\n// Retain a certain number of decimal places;Whether to round');
  debugPrint(0.56.formatThousands(fractionDigits: 0));
  debugPrint(0.56.formatThousands(fractionDigits: 0, round: false));
  debugPrint(1234.5.formatThousands(fractionDigits: 2));
  debugPrint(1234567.123490.formatThousands(fractionDigits: 4));
  debugPrint(1234567.123490.formatThousands(fractionDigits: 4, round: false));
}
```
#### 示例展示结果
![thousands](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/thousands.png?raw=true)
#### 便捷方式
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;目录](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;顶部](#jump)**