<p id='jump'></p>

## Widget Margin Expansion
#### Introduction
This function is mainly for the convenience of **Flutter** component margins. Contains the following functions:    

- Add margins to all sides of widget
- Add horizontal or vertical margin processing to widget
- Add a margin to a side of the widget
  
Note: **Sliver...** type widget also support margin handling.
#### Example Display
```dart
Container(
  color: Colors.red,
  child: Column(
    children: <Widget>[
      Container(
        color: Colors.purple,
        height: 100,
      ).insets(edgeInsets: const EdgeInsets.all(10)),
      Container(
        height: 100,
        color: Colors.blue,
      ).insetsOnly(right: 120),
      Container(
        height: 100,
        color: Colors.blue,
      ).insetsSymmetric(horizontal: 20),
      CustomScrollView(
        shrinkWrap: true,  
        slivers: [
          SliverToBoxAdapter(
            child: Container(
              height: 50,
              color: Colors.yellow,
            ),
          ).silverInsets(edgeInsets: const EdgeInsets.all(10)),
          SliverToBoxAdapter(
            child: Container(
              height: 50,
              color: Colors.purple,
            ),
          ).silverInsetsSymmetric(horizontal: 20),
          SliverToBoxAdapter(
            child: Container(
              height: 50,
              color: Colors.cyan,
            ),
          ).silverInsetsOnly(left: 20, top: 20),
        ],
      )
    ],
  ),
)
```
#### Sample Display Results
![add_padding](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/padding_add.png?raw=true)
#### Convenient Way
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;Contents](https://github.com/zhoushuangjian001/idkit/blob/master/README.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;Top](#jump)**



