<p id='jump'></p>

## Extension of text styles

#### Introduction
This function is mainly to extend the text style (TextStyle). The main extensions include the following:

- Extend the weight of text styles
- Extend the color of the text style
- Extend the style of the text style
- Extend the line height of text styles
- Extended word spacing for text styles
- Extend the letter spacing of text styles
- Extend the font size of text styles
  
#### Example Display
```dart
Column(
  children: <Widget>[
    const Text(
      'idkit makes development easy!',
      style: TextStyle(),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().bold,
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().c(Colors.red),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().hexColor('#3A4E5F'),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().italic,
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().fSize(20),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().h(3),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().lSpacing(3),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().wSpacing(5),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle()
          .medium
          .italic
          .c(Colors.cyan)
          .fSize(20)
          .h(3)
          .lSpacing(3)
          .wSpacing(5),
    ),
  ],
)
```

#### Sample Display Results
![textstyle](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/textstyle.png?raw=true)

#### Convenient Way
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;Contents](https://github.com/zhoushuangjian001/idkit/blob/master/README.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;Top](#jump)**