<p id='jump'></p>

## Thousandths
#### Introduction
This function is mainly to add thousandths of money values for easy identification. Contains the following functions:

- Supports the addition of default thousandths of money values  
- Support thousandth symbol customization
- When the thousandths processing is supported, the numerical decimals can also be processed
- Supports whether to carry or not when processing the decimal place of the numerical value
  
#### Example Display
```dart
void thousandsHandle() {
  // int
  debugPrint('// Int ');
  debugPrint((-0).formatThousands());
  debugPrint((-123).formatThousands());
  debugPrint((-1234).formatThousands());
  debugPrint(123456.formatThousands());
  debugPrint(1234567.formatThousands());
  debugPrint(123456789.formatThousands());
  debugPrint(1234567890.formatThousands());
  // double
  debugPrint('\n// Double ');
  debugPrint(0.0.formatThousands());
  debugPrint(123.12.formatThousands());
  debugPrint(1234.123.formatThousands());
  debugPrint(123456.1234.formatThousands());
  debugPrint(1234567.12345.formatThousands());
  debugPrint(123456789.123456.formatThousands());
  debugPrint(1234567890.1234567.formatThousands());
  // String
  debugPrint('\n// String ');
  debugPrint('0.0'.formatThousands());
  debugPrint('123.12'.formatThousands());
  debugPrint('1234.123'.formatThousands());
  debugPrint('-  123456.1234'.formatThousands());
  debugPrint('+ 1234567.12345 '.formatThousands());
  debugPrint('-1234567 89.123456'.formatThousands());
  debugPrint('+ 1234 567890.123 4567 '.formatThousands());
  // Custom thousandth symbol
  debugPrint('\n// Custom thousandth symbol ');
  debugPrint(1234567.formatThousands(symbol: '_'));
  debugPrint(1234567890.2.formatThousands(symbol: '、'));
  // Retain a certain number of decimal places
  debugPrint('\n// Retain a certain number of decimal places;Whether to round');
  debugPrint(0.56.formatThousands(fractionDigits: 0));
  debugPrint(0.56.formatThousands(fractionDigits: 0, round: false));
  debugPrint(1234.5.formatThousands(fractionDigits: 2));
  debugPrint(1234567.123490.formatThousands(fractionDigits: 4));
  debugPrint(1234567.123490.formatThousands(fractionDigits: 4, round: false));
}
```
#### Sample Display Results
![thousands](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/thousands.png?raw=true)
#### Convenient Way
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;Contents](https://github.com/zhoushuangjian001/idkit/blob/master/README.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;Top](#jump)**